import bb.cascades 1.0

Sheet {
    Page {
        titleBar: TitleBar {
            dismissAction: ActionItem {
                title: qsTr("Close", "Button/action") + Retranslate.onLocaleOrLanguageChanged
                onTriggered: {
                    close();
                }
            }
        }

        actions: [
            ActionItem {
                id: reviewAction
                imageSource: "asset:///images/ic_rate_app.png"
                title: qsTr("Review", "A button/action to leave a review about this app in app store") + Retranslate.onLocaleOrLanguageChanged
                ActionBar.placement: ActionBarPlacement.OnBar
                onTriggered: {
                    _app.reviewDone = true; // well, at least so we hope
                    Qt.openUrlExternally("appworld://content/59960946");
                }
            }
        ]
        
        Container {
            layout: DockLayout { }
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                layout: StackLayout {}
                Label {
                    text: qsTr("Scan and Go", "Application name.") + Retranslate.onLocaleOrLanguageChanged
                    textStyle.base: SystemDefaults.TextStyles.BigText
                    horizontalAlignment: HorizontalAlignment.Center
                    multiline: true
                }
                Label {
                    text: qsTr("Point-and-shoot QR/barcode reader.", "Brief application description.") + Retranslate.onLocaleOrLanguageChanged
                    textStyle.base: SystemDefaults.TextStyles.PrimaryText
                    horizontalAlignment: HorizontalAlignment.Center
                    multiline: true
                }
                Label {
                    text: qsTr("\u00A92015–2016 Andrei Popleteev", "Developer name, do not translate") + Retranslate.onLocaleOrLanguageChanged
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    horizontalAlignment: HorizontalAlignment.Center
                    multiline: true
                }
            }
        }
    }
}
